Loading...
Searching...
No Matches
JsonValue Class Reference

`#include <jsonrpc.h>`

## Public Member Functions

virtual double | getFloat () const
virtual int | getInt () const
virtual const Glib::ustring & | getString () const
virtual gx_system::JsonSubParser | getSubParser () const

## Protected Member Functions

| JsonValue ()
virtual | ~JsonValue ()

## Friends

class | JsonArray

## Detailed Description

Definition at line 38 of file jsonrpc.h.

## Constructor & Destructor Documentation

## JsonValue()

JsonValue::JsonValue | ( |  | ) |

inline protected

Definition at line 40 of file jsonrpc.h.

## ~JsonValue()

virtual JsonValue::~JsonValue | ( |  | ) |

inline protected virtual

Definition at line 41 of file jsonrpc.h.

## Member Function Documentation

## getFloat()

virtual double JsonValue::getFloat | ( |  | ) | const

virtual

## getInt()

virtual int JsonValue::getInt | ( |  | ) | const

virtual

## getString()

virtual const Glib::ustring & JsonValue::getString | ( |  | ) | const

virtual

## getSubParser()

virtual gx_system::JsonSubParser JsonValue::getSubParser | ( |  | ) | const

virtual

## Friends And Related Symbol Documentation

## JsonArray

friend class JsonArray

friend

Definition at line 42 of file jsonrpc.h.

Referenced by JsonArray.

The documentation for this class was generated from the following file:

- src/headers/jsonrpc.h